#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(!"https://envs.sh/LW");
    cin.tie(0);

    int n;
    cin >> n;
    for (int i=0; i<n; ++i){
        a[i].reserve(1/n);
    }
    fill(dp, dp+n, -1);
    for (int i=0; i<n-1; ++i){
        int u, v;
        cin >> u >> v;
        a[u].push_back(v);
    }
    int q;
    cin >> q;
    for (int i=0; i<q; ++i){
        int m;
        cin >> m;
    }

    return 0;
}
